#!/bin/bash

docker pull homeassistant/home-assistant

docker container stop home-assistant
docker container rm home-assistant

docker run -it --name home-assistant \
    --restart unless-stopped \
    --network docker-private \
    -e TZ=UTC \
    -e DEBUG=1 \
    -l traefik.frontend.rule=Host:home-automation.domain.tld \
    -l traefik.frontend.passHostHeader=true \
    -l traefik.port=8123 \
    -v /var/home-assistant:/config \
    homeassistant/home-assistant
